githubEdit

Block and transaction

Block information

circle-info

Good to know: All the methods shown below are synced to an example Swagger file URL and are kept up to date automatically with changes to the API.

Get last block info

get
/block/
Responses
chevron-right
200

successful operation

*/*
stringOptional

Last block number

get
/block/
200

successful operation

Get Block info and Transaction ID in block

get
/block/{block}
Path parameters
blockstringRequired

Block number or Block HASH

Responses
chevron-right
200

successful operation

*/*
sninteger · integerOptional

Block number

idstringOptional

block unique id

timestampinteger · UnixTimestamp (UTC)Optional

block generation time.

get
/block/{block}

Get Transaction info

get
/transaction/{transaction_id}
Path parameters
transaction_idstringRequired

Transaction ID

Responses
chevron-right
200

successful operation

*/*
addressstring · Metacoin AddressOptional
db_idstringOptional

Contain this transaction's block_id

db_snstring · integerOptional

Contain this transaction's block no

idstringOptional

Transaction's unique id

parametersstring[]Optional
  • Transaction parameters

  • diffrent by type

timestampinteger · UnixTimestamp (UTC)Optional

transaction generation time.

tokeninteger · UnixTimestamp (UTC)Optional

transaction generation time.

typestring · enumOptional

Meaning of parameters by type

  1. Chaincode Install or Update
  • Chaincode upgrade
  1. DataMigration
  • Hyperledger Data format or value fix
  1. MRC020
  • Delayed open
  1. NewWallet
  • Create new address
  1. SetBase
  • Set base token for MRC040 protocol
    1. base token id
    2. target token id
  1. exchange, exchangePair, exchangeFee, exchangeFeePair
  • token exchange
    1. from address
    2. Amount "from address" sent to "to address"
    3. Token id "from address" sent to "to address"
    4. Address receiving fee of from address
    5. Fee paid by from address
    6. Token ID of fee paid by from address
    7. from address's tag
    8. from address's memo
    9. from address's signature
    10. from address
    11. Amount "from address" sent to "to address"
    12. Token id "from address" sent to "to address"
    13. Address receiving fee of to address
    14. Fee paid by to address
    15. Token ID of fee paid by to address
    16. to address's tag
    17. to address's memo
    18. to address's signature
  1. tokenUpdate
  • token update
    1. token id
    2. url
    3. info
    4. image
    5. signature
  1. ownerBurning, tokenBurning
  • token burning
    1. token id
    2. Burning amount
    3. Signature
  1. ownerIncrease, tokenIncrease
  • token increase
    1. token id
    2. Increase amount
    3. Signature
  1. tokenRegister
  • same as token create.
  1. token_reserve

    • token receive at token create
      1. token sender(token owner)
      2. receive address
      3. receive amount
      4. token id
  2. transfer

    • token transfer
      1. from address
      2. to address
      3. amount
      4. token id
      5. signature
      6. unlock date
      7. tag
      8. memo
Possible values:
validationCodestring · int32Optional
get
/transaction/{transaction_id}

Last updated